Bug 1461663 - Hotss breaks after open trying to makessh connection
Hotss breaks after open trying to makessh connection
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: hotssh (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 02:17 EDT by Alejandro_Perez
Modified: 2018-05-29 07:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:34:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alejandro_Perez 2017-06-15 02:17:18 EDT
Description of problem:

Installed hotssh breaks after you enter ip to the destination connection

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. run hotssh
2. fill the 1p address
3. hit connect

Actual results:
otssh
Traceback (most recent call last):
  File "/usr/bin/hotssh", line 73, in <module>
    VteMain().main(SshApp)
  File "/usr/lib/python2.7/site-packages/hotssh/hotvte/vtewindow.py", line 587, in main
    app.restore_session()
  File "/usr/lib/python2.7/site-packages/hotssh/sshwindow.py", line 1643, in restore_session
    window.new_tab(sshargs, os.getcwd())
  File "/usr/lib/python2.7/site-packages/hotssh/sshwindow.py", line 1342, in new_tab
    term = SshTerminalWidget(args=args, cwd=cwd, actions=self.__action_group, **kwargs)
  File "/usr/lib/python2.7/site-packages/hotssh/sshwindow.py", line 1113, in __init__
    self.ssh_connect()
  File "/usr/lib/python2.7/site-packages/hotssh/sshwindow.py", line 1167, in ssh_connect
    self.__term = term = SshTerminalWidgetImpl(cwd=self.__cwd, cmd=self.__sshcmd, actions=self.__actions)
  File "/usr/lib/python2.7/site-packages/hotssh/sshwindow.py", line 1016, in __init__
    super(SshTerminalWidgetImpl, self).__init__(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/hotssh/hotvte/vteterm.py", line 100, in __init__
    self.__reset_colors()
  File "/usr/lib/python2.7/site-packages/hotssh/hotvte/vteterm.py", line 137, in __reset_colors
    self.__set_gtk_colors()
  File "/usr/lib/python2.7/site-packages/hotssh/hotvte/vteterm.py", line 267, in __set_gtk_colors
    self.set_colors(True, fg, bg, isdefault=True)
  File "/usr/lib/python2.7/site-packages/hotssh/hotvte/vteterm.py", line 273, in set_colors
    self.__term.set_colors(fg, bg, palette)
TypeError: foreground should be a GdkColor


Expected results:


Additional info:
Comment 1 Fedora End Of Life 2018-05-03 04:14:36 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2018-05-29 07:34:33 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.